Subject: [ipcdn] FW: VLAn ID

From: "Woundy, Richard" <[email-masked]>
Date: Fri, 6 Jun 2003 15:30:26 -0600

FYI only. The email below relates to using the VlanIdOrAny TC in the DOCSIS
QoS MIB, and possibly other IPCDN MIBs...

-- Rich

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Friday, June 06, 2003 11:30 AM
To: Tony Jeffree
Cc: [email-masked]; Bridge-Mib (E-mail)
Subject: RE: VLAn ID

Tony... am I copy-ing the mailing lists on which
we discussed this, so that people can chime in

Thanks,
Bert 

> -----Original Message-----
> From: Tony Jeffree [mailto:[email-masked]]
> Sent: vrijdag 6 juni 2003 17:16
> To: Wijnen, Bert (Bert)
> Subject: RE: VLAn ID
> 
> 
> Bert et al -
> 
> We have concluded that the use of 4095 as a wildcard is acceptable to 
> 802.1, and we will make any necessary changes to 802.1Q in 
> due course to 
> relax the current stated restriction. However, we need to 
> know whether that 
> is all that needs to be done to 802.1Q - i.e., is there any 
> need to change 
> our definitions of the managed objects in the document (Clause 12) to 
> reflect the interpretation of 4095 as a wildcard, or is this 
> simply an 
> issue for the SNMP machinery to handle?
> 
> Regards,
> Tony
> 
> 
> At 11:58 07/05/2003 +0200, you wrote:
> >Any chance you can stirr up that 'ballot' process?
> >Some people are waiting for a solution in IETF MIB land.
> >
> >Thanks,
> >Bert
> >
> > > -----Original Message-----
> > > From: Les Bell [mailto:[email-masked]]
> > > Sent: woensdag 7 mei 2003 9:06
> > > To: Wijnen, Bert (Bert)
> > > Cc: Andrew Smith; 'Bridge-Mib (E-mail)'; [email-masked];
> > > [email-masked]; [email-masked]
> > > Subject: RE: VLAn ID
> > >
> > >
> > >
> > >
> > >
> > > This was discussed at the March meeting.  The decision was to
> > > conduct an email
> > > 'ballot' to determine if anyone had any objections to using
> > > 4095 as a wildcard
> > > VLAN ID.  I have not heard about the details of how, or when,
> > > this will take
> > > place.
> > >
> > > Les...
> > >
> > >
> > >
> > >
> > >
> > > "Wijnen, Bert (Bert)" <[email-masked]> on 06/05/2003 18:43:42
> > >
> > > Sent by:  "Wijnen, Bert (Bert)" <[email-masked]>
> > >
> > >
> > > To:   Les Bell/GB/3Com, Andrew Smith <[email-masked]>
> > > cc:   "'Wijnen, Bert , "'Bridge-Mib , [email-masked]
> > > Subject:  RE: VLAn ID
> > >
> > >
> > >
> > >
> > > Les, Did you get any feedback after that March 9th meeting?
> > > If not, Can you poll Mick Seaman?
> > >
> > > Thanks,
> > > Bert
> > >
> > > > -----Original Message-----
> > > > From: Les Bell [mailto:[email-masked]]
> > > > Sent: vrijdag 28 februari 2003 17:27
> > > > To: Andrew Smith
> > > > Cc: 'Wijnen, Bert (Bert)'; 'Bridge-Mib (E-mail)'; 
> [email-masked]
> > > > Subject: RE: VLAn ID
> > > >
> > > >
> > > >
> > > >
> > > >
> > > > I have asked for the opinion of the IEEE 802.1 Task Force
> > > > Chair, Mick Seaman, on
> > > > this proposal.  He believes that the use of 4095 as a
> > > > wildcard VLAN-ID would be
> > > > okay, but he wants to discuss it formally at the IEEE 802
> > > > meeting in Dallas
> > > > (week commencing March 9).  I will be attending this meeting.
> > > >
> > > > Les...
> > > >
> > > >
> > > >
> > > >
> > > >
> > > > "Andrew Smith" <[email-masked]> on 27/02/2003 17:53:56
> > > >
> > > > Sent by:  "Andrew Smith" <[email-masked]>
> > > >
> > > >
> > > > To:   "'Wijnen, Bert \
> > > > cc:   "'Bridge-Mib \, [email-masked] (Les Bell/GB/3Com)
> > > > Subject:  RE: VLAn ID
> > > >
> > > >
> > > >
> > > >
> > > > Bert,
> > > >
> > > > The whole point of defining these TCs in a separate document
> > > > is to serve
> > > > "possible future (yet-undefined) needs" - why else would we
> > > bother to
> > > > break them out in a separate document or module?
> > > >
> > > > The need to use VlanIdOrAny as an index in the future seems
> > > likely to
> > > > me. It is especially likely if you believe that we're
> > > trying to set a
> > > > precedent here for how to represent "some sort of 
> packet field or
> > > > don't-care". Personally, I think it's a bit clunky to
> > > > overload the value
> > > > like this - a separate flag object is more elegant, 
> but, if we're
> > > > comfortable with the overloading, I'd go with Randy and say
> > > (as I did
> > > > before - maybe you missed my message?) that the syntax here
> > > should be
> > > > unsigned, not signed (I understand the practical reasons for the
> > > > non-negative-index restriction in SNMP but it is a 
> limitation on the
> > > > SMIv2 language). I don't think there's a need to consult
> > > with IEEE 802
> > > > on this - I think most of the people with relevant opinions
> > > > on this are
> > > > already on this thread - but that's the bridge-mib WG chair's
> > > > call if he
> > > > wants to ask himself for help.
> > > >
> > > > My opinions (I know you're looking for others though ...).
> > > >
> > > > Andrew
> > > >
> > > >
> > > > -----Original Message-----
> > > > From: [email-masked]
> > > [mailto:[email-masked]] On Behalf
> > > Of Wijnen, Bert (Bert)
> > > Sent: Thursday, February 27, 2003 8:36 AM
> > > To: Randy Presuhn (E-mail)
> > > Cc: Bridge-Mib (E-mail); [email-masked]
> > > Subject: VLAn ID
> > >
> > >
> > > Randy, you wrote:
> > > >To:   [email-masked]
> > > >cc:   [email-masked] (Les Bell/GB/3Com)
> > > >Subject:  Re: [Bridge-mib] VLAN-ID
> > > >
> > > >Hi -
> > > >
> > > >I think it would be better if the "any" value in the 
> *OrAny TC were
> > > >a non-negative value so that the type could be used to define an
> > > >index.  There may not be a need today, but thinking ahead to
> > > >representing policy-like things wouldn't hurt.
> > > >
> > >
> > > As far as I can tell, you seem to be the only one sofar who
> > > has spoken up on the idea of not having a negative value
> > > for the "any" for the VlanIdOrAny TC that I proposed.
> > >
> > > You do not claim an immediate need, but a possible future
> > > (yet-undefined) need.
> > >
> > > S
> > >
> > >
> > >
> > >
> > >
> > >
> > >
> > >
> > >
> > >
> 
> Regards,
> Tony
> 
_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn